| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Driver_USART.c File Reference

## Functions

ARM_DRIVER_VERSION | ARM_USART_GetVersion (void)
| Get driver version.
ARM_USART_CAPABILITIES | ARM_USART_GetCapabilities (void)
| Get driver capabilities.
int32_t | ARM_USART_Initialize (ARM_USART_SignalEvent_t cb_event)
| Initialize USART Interface.
int32_t | ARM_USART_Uninitialize (void)
| De-initialize USART Interface.
int32_t | ARM_USART_PowerControl (ARM_POWER_STATE state)
| Control USART Interface Power.
int32_t | ARM_USART_Send (const void *data, uint32_t num)
| Start sending data to USART transmitter.
int32_t | ARM_USART_Receive (void *data, uint32_t num)
| Start receiving data from USART receiver.
int32_t | ARM_USART_Transfer (const void *data_out, void *data_in, uint32_t num)
| Start sending/receiving data to/from USART transmitter/receiver.
uint32_t | ARM_USART_GetTxCount (void)
| Get transmitted data count.
uint32_t | ARM_USART_GetRxCount (void)
| Get received data count.
int32_t | ARM_USART_Control (uint32_t control, uint32_t arg)
| Control USART Interface.
ARM_USART_STATUS | ARM_USART_GetStatus (void)
| Get USART status.
int32_t | ARM_USART_SetModemControl (ARM_USART_MODEM_CONTROL control)
| Set USART Modem Control line state.
ARM_USART_MODEM_STATUS | ARM_USART_GetModemStatus (void)
| Get USART Modem Status lines state.
void | ARM_USART_SignalEvent (uint32_t event)
| Signal USART Events.